export default class ParseError extends Error {
    constructor(message) {
        super(message);
    }
    static defaultMessage = (name, value, expectedType, actualType) => new ParseError(`expect "${name}": ${typeof value === 'object'
        ? JSON.stringify(value, null, 2)
        : value} to have type "${expectedType}", actual type is "${actualType}" instead`);
    static customizedMessage = (message) => new ParseError(message);
}
//# sourceMappingURL=ParseError.js.map