import { Options } from '../util';
declare type ElseGetBoolean<T extends boolean> = Readonly<{
    orElseGetTrue: () => T | true;
    orElseGetFalse: () => T | false;
}>;
declare type BooleanOptions<T extends boolean> = Options<T> & ElseGetBoolean<T>;
declare const parseAsBoolean: (value: unknown) => Readonly<{
    orElseGet: <U>(u: U) => boolean | U;
    orElseLazyGet: <U_1>(callBackFunction: () => U_1) => boolean | U_1;
    orElseGetUndefined: () => boolean | undefined;
    orElseGetNull: () => boolean | null;
    orElseThrowDefault: (name: string) => boolean;
    orElseThrowCustom: (message: string) => boolean;
}> & Readonly<{
    orElseGetTrue: () => boolean;
    orElseGetFalse: () => boolean;
}> & Readonly<{
    exactlyAs: <T extends boolean>(t: T) => BooleanOptions<T>;
}>;
export default parseAsBoolean;
//# sourceMappingURL=parseAsBoolean.d.ts.map