import { createOptionsForPrimitive, createExact, isEqual, } from '../util.js';
const parseAsBoolean = (value) => {
    const expectedType = 'boolean';
    const actualType = typeof value;
    return {
        ...createOptionsForPrimitive(value, expectedType, actualType),
        orElseGetTrue: () => isEqual(expectedType, actualType) ? value : true,
        orElseGetFalse: () => isEqual(expectedType, actualType) ? value : false,
        exactlyAs: (t) => ({
            ...createExact(value, expectedType, actualType, t),
            orElseGetFalse: () => isEqual(expectedType, actualType) ? t : false,
            orElseGetTrue: () => (isEqual(expectedType, actualType) ? t : true),
        }),
    };
};
export default parseAsBoolean;
//# sourceMappingURL=parseAsBoolean.js.map