import { Options } from '../util';
declare type InRangeOf<T extends number> = Readonly<{
    inRangeOf: (min: T, max: T) => Options<T>;
}>;
declare type NumberOptions<T extends number> = Options<T> & InRangeOf<T>;
declare const parseAsNumber: (value: unknown) => Readonly<{
    orElseGet: <U>(u: U) => number | U;
    orElseLazyGet: <U_1>(callBackFunction: () => U_1) => number | U_1;
    orElseGetUndefined: () => number | undefined;
    orElseGetNull: () => number | null;
    orElseThrowDefault: (name: string) => number;
    orElseThrowCustom: (message: string) => number;
}> & Readonly<{
    inRangeOf: (min: number, max: number) => Readonly<{
        orElseGet: <U>(u: U) => number | U;
        orElseLazyGet: <U_1>(callBackFunction: () => U_1) => number | U_1;
        orElseGetUndefined: () => number | undefined;
        orElseGetNull: () => number | null;
        orElseThrowDefault: (name: string) => number;
        orElseThrowCustom: (message: string) => number;
    }>;
}> & Readonly<{
    exactlyAs: <T extends number>(t: T) => Readonly<{
        orElseGet: <U_2>(u: U_2) => T | U_2;
        orElseLazyGet: <U_3>(callBackFunction: () => U_3) => T | U_3;
        orElseGetUndefined: () => T | undefined;
        orElseGetNull: () => T | null;
        orElseThrowDefault: (name: string) => T;
        orElseThrowCustom: (message: string) => T;
    }>;
}>;
export default parseAsNumber;
//# sourceMappingURL=parseAsNumber.d.ts.map