import { createOptionsForPrimitive, createExact, isEqual, } from '../util.js';
const parseAsString = (value) => {
    const expectedType = 'string';
    const actualType = typeof value;
    return {
        ...{
            ...createOptionsForPrimitive(value, expectedType, actualType),
            orElseGetEmptyString: () => isEqual(expectedType, actualType) ? value : '',
        },
        exactlyAs: (t) => ({
            ...createExact(value, expectedType, actualType, t),
            orElseGetEmptyString: () => isEqual(expectedType, actualType) ? t : '',
        }),
    };
};
export default parseAsString;
//# sourceMappingURL=parseAsString.js.map