import { Options } from '../../util';
/**
 * Although it can be used to parse anything, this is recommended to be used to parse as a specified non-object type
 * @returns the Options object
 */
declare const parseAsCustomType: <T>(value: unknown, parseable: (value: any) => boolean) => Readonly<{
    orElseGet: <U>(u: U) => T | U;
    orElseLazyGet: <U_1>(callBackFunction: () => U_1) => T | U_1;
    orElseGetUndefined: () => T | undefined;
    orElseGetNull: () => T | null;
    orElseThrowDefault: (name: string) => T;
    orElseThrowCustom: (message: string) => T;
}>;
export default parseAsCustomType;
//# sourceMappingURL=parseAsCustomType.d.ts.map