import { freeze, isEqual } from '../../util.js';
import ParseError from '../../ParseError.js';
const typeOfObjectEqual = (value) => isEqual('object', typeof value);
const parseAsDesiredObject = (value, parse, immutable) => {
    const options = {
        orElseGet: (u) => freeze(typeOfObjectEqual(value) ? parse(value) : u, immutable),
        orElseLazyGet: (callBackFunction) => freeze(typeOfObjectEqual(value) ? parse(value) : callBackFunction(), immutable),
        orElseGetNull: () => typeOfObjectEqual(value) ? freeze(parse(value), immutable) : null,
        orElseGetUndefined: () => typeOfObjectEqual(value)
            ? freeze(parse(value), immutable)
            : undefined,
        orElseThrowDefault: (name) => {
            if (typeOfObjectEqual(value)) {
                return freeze(parse(value), immutable);
            }
            throw ParseError.defaultMessage(name, value, 'object', typeof value);
        },
        orElseThrowCustom: (message) => {
            if (typeOfObjectEqual(value)) {
                return freeze(parse(value), immutable);
            }
            throw ParseError.customizedMessage(message);
        },
    };
    return {
        ...options,
        orElseGetEmptyObject: () => typeOfObjectEqual(value) ? freeze(parse(value), immutable) : {},
    };
};
export default parseAsDesiredObject;
//# sourceMappingURL=parseAsDesiredObject.js.map